Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class InplaceInputBaseRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.InplaceInputBaseRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  InplaceInputRenderer

    public class InplaceInputBaseRenderer

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Since:
  3.2.0 InplaceInput Base renderer implementation
Author:
  Vladimir Molotkov

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`InplaceInputBaseRenderer()`

Method Summary
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeControlsFacet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `getAsEventHandler(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String attributeName)`
`protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
`protected java.lang.String` | `getConvertedStringValue(javax.faces.context.FacesContext context, UIInplaceInput component, java.lang.Object value)`
`java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object submittedValue)`
`java.lang.String` | `getDefaultLabel(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`boolean` | `isControlsFacetExists(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected boolean` | `isEmptyDefaultLabel(java.lang.String defaultLabel)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InplaceInputBaseRenderer

    public InplaceInputBaseRenderer()

Method Detail

### getComponentClass

    protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Overrides:
    `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

### encodeControlsFacet

    public void encodeControlsFacet(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### isControlsFacetExists

    public boolean isControlsFacetExists(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component)

### getDefaultLabel

    public java.lang.String getDefaultLabel(javax.faces.context.FacesContext context,
                                            javax.faces.component.UIComponent component)

### getAsEventHandler

    public java.lang.String getAsEventHandler(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.String attributeName)

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Overrides:
    `getConvertedValue` in class `javax.faces.render.Renderer`
  Throws:
    `javax.faces.convert.ConverterException`

### getConvertedStringValue

    protected java.lang.String getConvertedStringValue(javax.faces.context.FacesContext context,
                                                       UIInplaceInput component,
                                                       java.lang.Object value)

### isEmptyDefaultLabel

    protected boolean isEmptyDefaultLabel(java.lang.String defaultLabel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.